Bug 101529 - Severn: aspell-pl unavailable.
Summary: Severn: aspell-pl unavailable.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: distribution   
(Show other bugs)
Version: beta1
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL: http://ftp.gnu.org/gnu/aspell/dict/pl/
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-02 21:05 UTC by Pawel Salek
Modified: 2014-03-17 02:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 20:31:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposal spec file for aspell-pl (1.24 KB, text/plain)
2004-07-09 20:04 UTC, Dawid Gajownik
no flags Details

Description Pawel Salek 2003-08-02 21:05:09 UTC
Description of problem:
Would it be possible to add the Polish dictionary to the distribution?
aspell-pl available is far from being complete but it is still much better than
nothing.

Comment 1 Eido Inoue 2004-02-19 17:13:40 UTC
switching components so it gets considered

Comment 2 Bill Nottingham 2004-02-19 17:27:15 UTC
URL?

Comment 3 Pawel Salek 2004-02-19 20:23:32 UTC
Original package is located in the usual place - see updated URL.

Comment 4 Marcin Garski 2004-04-07 14:35:18 UTC
There is alternative (On March 10, 2004, this dictionary became the
official Polish aspell dictionary.) aspell-pl (a lot better then old
aspell-pl):
http://www.kurnik.pl/dictionary/

Comment 5 Dawid Gajownik 2004-05-30 14:20:26 UTC
It would be nice to add this package to Fedora Core 3. There is a lot
of free space on 4th CD :-)

Comment 6 Dawid Gajownik 2004-07-09 20:01:14 UTC
Well, I know that developers are rather busy and Fedora is trying to
be a community project so I prepared a spec file :) I copied relevant
bits from other aspel-XX packages and one line from Marcin Garski spec
file.

I have to add, that this package was available in RedHat 7.0, but it
was removed from 7.1. I presume that it was license issue - in
previous version of the dictionary author and copyright terms were
unknown.

As it was mentioned above, we have now new and much better dictionary,
which is licensed under a Creative Commons ShareAlike License.

On this site http://www.fsf.org/licenses/licenses.html#OtherWorks they
urge "to include a copy of the license with the work, for every work,
all the time", so I used %doc macro (the only thing which differs this
package from other Fedora aspell-XX packages). Hmm... I have also
doubts as to which README file should be included... Well, the choice
is up to you :)

And the last but not least thing, are these packages really
architecture dependent? How about adding

BuildArchitectures: noarch

to the spec files (I found it in yum.spec)?

Comment 7 Dawid Gajownik 2004-07-09 20:04:26 UTC
Created attachment 101767 [details]
Proposal spec file for aspell-pl

Comment 8 Colin Walters 2004-09-29 20:31:48 UTC
Appears to be fixed.


Note You need to log in before you can comment on or make changes to this bug.